net.corda.node.services.statemachine

## Class StateMachineManager.Change

- net.corda.node.services.statemachine.StateMachineManager.Change

- Enclosing class:
    StateMachineManager

      public static class StateMachineManager.Change

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Change(FlowLogic<?> logic, AddOrRemove addOrRemove, StateMachineRunId id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowLogic<?>` | `component1()`
    `AddOrRemove` | `component2()`
    `StateMachineRunId` | `component3()`
    `StateMachineManager.Change` | `copy(FlowLogic<?> logic, AddOrRemove addOrRemove, StateMachineRunId id)`
    `boolean` | `equals(java.lang.Object p)`
    `AddOrRemove` | `getAddOrRemove()`
    `StateMachineRunId` | `getId()`
    `FlowLogic<?>` | `getLogic()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Change

          public Change(FlowLogic<?> logic,
                        AddOrRemove addOrRemove,
                        StateMachineRunId id)

  - ### Method Detail

    - #### getLogic

          public FlowLogic<?> getLogic()

    - #### getAddOrRemove

          public AddOrRemove getAddOrRemove()

    - #### getId

          public StateMachineRunId getId()

    - #### component1

          public FlowLogic<?> component1()

    - #### component2

          public AddOrRemove component2()

    - #### component3

          public StateMachineRunId component3()

    - #### copy

          public StateMachineManager.Change copy(FlowLogic<?> logic,
                                                 AddOrRemove addOrRemove,
                                                 StateMachineRunId id)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)